在URL路径的组织内创建一个新项目。代理引擎原生组织需要 ORG_ADMIN 或 SYSTEM_ADMIN,并插入代理引擎项目。 Atlas 支持的组织使用调用者的委托Atlas授权(该组织上的 ORG_ADMIN; Atlas ORG_OWNER 或 ORG_GROUP_CREATOR)在Atlas中创建项目,并返回 代理引擎项目记录。不会在Atlas组织下创建代理引擎拥有的子组织。
POST /api/v1/orgs/{orgId}/projects
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/orgs/{orgId}/projects' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"allow_member_invites": true,
"description": "string",
"name": "string",
"sharing_policy": {
"allowed_sources": [
"string"
],
"share_modes": [
"string"
],
"shareable": true
}
}'
请求示例
{
"allow_member_invites": true,
"description": "string",
"name": "string",
"sharing_policy": {
"allowed_sources": [
"string"
],
"share_modes": [
"string"
],
"shareable": true
}
}
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (201)
{
"allow_member_invites": true,
"atlas": {
"environment": "string",
"id": "string",
"organization_id": "string"
},
"can_manage_deployments": true,
"created_at": "string",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"sharing_policy": {
"allowed_sources": [
"string"
],
"share_modes": [
"string"
],
"shareable": true
},
"source": "atlas",
"updated_at": "string",
"workspace_count": 42
}
响应示例 (201)
{
"allow_member_invites": true,
"atlas": {
"environment": "string",
"id": "string",
"organization_id": "string"
},
"can_manage_deployments": true,
"created_at": "string",
"description": "string",
"id": "string",
"name": "string",
"org_id": "string",
"sharing_policy": {
"allowed_sources": [
"string"
],
"share_modes": [
"string"
],
"shareable": true
},
"source": "atlas",
"updated_at": "string",
"workspace_count": 42
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (402)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (402)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (404)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (404)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (409)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (409)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (503)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (503)
{
"code": "string",
"error": "string",
"success": true
}